%global       momorel 4
Summary: A widely used Mail Transport Agent (MTA).
Name: sendmail

## include site local configuration
%{?include_specopt}

##   package options
%define       with_fsl      no
%define       with_tls      yes
%define       with_sasl1    no
%define       with_sasl2    yes
%define       with_milter   yes
%define       with_ldap     yes
%define       with_mysql    no

%define       enable_pie    no
%define       old_setup     no

%define sendmailcf /usr/share/sendmail-cf
%define stdir /var/log/mail
%define smshell /sbin/nologin
%define initdir %{_initscriptdir}

Version: 8.13.0
Release: %{momorel}m
License: BSD
Group: System Environment/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
NoSource: 0
Source1: sendmail.init
%if "%{old_setup}" == "yes"
Source3: aliases
%endif
Source4: sendmail.sysconfig
Source5: sendmail.etc-mail-Makefile
Source6: sendmail-redhat.mc
Source7: Sendmail-sasl1.conf
Source8: sendmail.pam
Source9: sendmail-8.12.5-newconfig.readme
Source11: Sendmail-sasl2.conf
Patch3: sendmail-8.12.2-makemapman.patch
Patch4: sendmail-8.12.11-smrsh-paths.patch
Patch5: sendmail-8.12.2-movefiles.patch
Patch7: sendmail-8.13.0-pid.patch
Patch9: sendmail-8.12.7-hesiod.patch
Patch10: sendmail-8.12.7-manpage.patch
Patch11: sendmail-8.13.0-dynamic.patch
Patch12: sendmail-8.13.0-cyrus.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tcp_wrappers
BuildRequires: db4-devel
BuildRequires: hesiod-devel
Provides: %{_sbindir}/sendmail %{_bindir}/mailq %{_bindir}/newaliases
Provides: %{_bindir}/rmail %{_mandir}/man1/mailq.1.bz2
Provides: %{_mandir}/man1/newaliases.1.gz %{_mandir}/man5/aliases.5.bz2
Provides: smtpdaemon
PreReq: chkconfig >= 1.3
PreReq: shadow-utils mktemp fileutils gawk sed sh-utils
Requires: procmail
Requires: bash >= 2.0
%if "%{old_setup}" != "yes"
Requires: setup >= 2.5.31-1
BuildRequires: setup >= 2.5.31-1
#Requires: /etc/aliases
%endif
%if "%{with_fsl}" == "yes"
BuildRequires:  fsl >= 1.2.0
PreReq:       fsl >= 1.2.0
%endif
%if "%{with_tls}" == "yes"
BuildRequires:  openssl-devel
PreReq:       openssl
%endif
%if "%{with_sasl1}" == "yes" || "%{with_sasl2}" == "yes"
BuildRequires:  cyrus-sasl-devel, openssl-devel
PreReq:       cyrus-sasl, openssl
%endif
%if "%{with_ldap}" == "yes"
BuildRequires:  openldap-devel, openssl-devel
PreReq:       openldap, openssl
%endif
%if "%{with_mysql}" == "yes"
BuildRequires:  MySQL-devel
PreReq:       MySQL
%endif


%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another. Sendmail is not a client
program, which you use to read your email. Sendmail is a
behind-the-scenes program which actually moves your email over
networks or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you will also need to have
the sendmail.cf package installed. If you need documentation on
Sendmail, you can install the sendmail-doc package.

%package doc
Summary: Documentation about the Sendmail Mail Transport Agent program.
Group: Documentation

%description doc
The sendmail-doc package contains documentation about the Sendmail
Mail Transport Agent (MTA) program, including release notes, the
Sendmail FAQ, and a few papers written about Sendmail. The papers are
provided in PostScript(TM) and troff formats.

%package devel
Summary: Extra development include files and development files.
Group: System Environment/Daemons

%description devel
Include files and devel libraries for e.g. the milter addons as part
of sendmail.

%package cf
Summary: The files needed to reconfigure Sendmail.
Group: System Environment/Daemons
Requires: m4

%description cf
This package includes the configuration files you need to generate the
sendmail.cf file distributed with the sendmail package. You will need
the sendmail-cf package if you ever need to reconfigure and rebuild
your sendmail.cf file.

%prep
%setup -q

%patch3 -p1 -b .makemapman
%patch4 -p1 -b .smrsh_paths
%patch5 -p1 -b .movefiles
%patch7 -p1 -b .pid
%patch9 -p1 -b .hesiod
%patch10 -p1 -b .manpage
%patch11 -p1 -b .dynamic
%patch12 -p1 -b .cyrus

%build
# generate redhat config file
cat > redhat.config.m4 << EOF
define(\`confMAPDEF', \`-DNEWDB -DNIS -DHESIOD -DMAP_REGEX')
define(\`confOPTIMIZE', \`${RPM_OPT_FLAGS}')
define(\`confENVDEF', \`-I/usr/include/db4 -I/usr/kerberos/include -Wall -DXDEBUG=0 -DTCPWRAPPERS -DNETINET6 -DHES_GETMAILHOST -DUSE_VENDOR_CF_PATH=1 -D_FFR_WORKAROUND_BROKEN_NAMESERVERS -D_FFR_SMTP_SSL')
define(\`confLIBDIRS', \`-L/usr/kerberos/%{_lib}')
define(\`confLIBS', \`-lnsl -lwrap -lhesiod -lcrypt -ldb')
define(\`confMANOWN', \`root')
define(\`confMANGRP', \`root')
define(\`confMANMODE', \`644')
define(\`confMAN1SRC', \`1')
define(\`confMAN5SRC', \`5')
define(\`confMAN8SRC', \`8')
define(\`confSTDIR', \`%{stdir}')
define(\`STATUS_FILE', \`%{stdir}/statistics')
EOF

%ifarch ppc ppc64
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confOPTIMIZE', \`-DSM_CONF_SHM=0')
EOF
%endif

%if "%{enable_pie}" == "yes"
%ifarch s390 s390x
%define _fpie -fPIE
%elseifarch %{ix86}
%define _fpie -pie
%else
%define _fpie -fpie
%endif
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confOPTIMIZE', \`%{_fpie}')
APPENDDEF(\`confLIBS', \`-pie')
EOF
%endif

%if "%{with_tls}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`conf_sendmail_ENVDEF', \`-DSTARTTLS')dnl
APPENDDEF(\`conf_sendmail_LIBS', \`-lssl -lcrypto')dnl
EOF
%endif

%if "%{with_sasl1}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confENVDEF', \`-DSASL=1 -D_FFR_UNSAFE_SASL')dnl
APPENDDEF(\`confLIBS', \`-lsasl -lcrypto')dnl
EOF
%endif

%if "%{with_sasl2}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confENVDEF', \`-DSASL=2 -D_FFR_UNSAFE_SASL')dnl
APPENDDEF(\`confLIBS', \`-lsasl2 -lcrypto')dnl
EOF
%endif

%if "%{with_milter}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`conf_sendmail_ENVDEF', \`-DMILTER')dnl
APPENDDEF(\`conf_libmilter_ENVDEF', \`-D_FFR_MILTER_ROOT_UNSAFE')dnl
EOF
%endif

%if "%{with_ldap}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confMAPDEF', \`-DLDAPMAP')dnl
APPENDDEF(\`confENVDEF', \`-DSM_CONF_LDAP_MEMFREE=1')dnl
APPENDDEF(\`confLIBS', \`-lldap -llber -lssl -lcrypto')dnl
EOF
%endif

%if "%{with_mysql}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confMAPDEF',\`-DMYSQLMAP')dnl
APPENDDEF(\`confLIBS',\`%{l_ldflags mysql .} -lmysqlclient -lz -lm')dnl
EOF
%endif

DIRS="libsmutil sendmail mailstats rmail praliases smrsh makemap"

%if "%{with_milter}" == "yes"
DIRS="libmilter $DIRS"
%endif

for i in $DIRS; do
	pushd $i
	sh Build -f ../redhat.config.m4
	popd
done

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

cd %{buildroot}
mkdir -p etc/sysconfig .%{initdir} etc/pam.d
mkdir -p usr/bin usr/include/libmilter usr/%{_lib} usr/lib
mkdir -p .%{_mandir}/man{1,5,8}
mkdir -p usr/sbin var/log var/spool .%{sendmailcf}
cd -

OBJDIR=obj.$(uname -s).$(uname -r).$(arch)
nameuser=`id -nu`
namegroup=`id -ng`

Make() {
	make $@ \
		DESTDIR=%{buildroot} \
		MANROOT=%{_mandir}/man \
		SBINOWN=${nameuser} SBINGRP=${namegroup} \
		UBINOWN=${nameuser} UBINGRP=${namegroup} \
		MANOWN=${nameuser}  MANGRP=${namegroup} \
		INCOWN=${nameuser}  INCGRP=${namegroup} \
		LIBOWN=${nameuser}  LIBGRP=${namegroup} \
		GBINOWN=${nameuser} GBINGRP=${namegroup} \
		CFOWN=${nameuser}   CFGRP=${namegroup} \
		MSPQOWN=${nameuser}
}

Make install -C $OBJDIR/libmilter
Make install -C $OBJDIR/libsmutil
Make install -C $OBJDIR/sendmail
Make install -C $OBJDIR/mailstats
Make force-install -C $OBJDIR/rmail
Make install -C $OBJDIR/praliases
Make install -C $OBJDIR/smrsh
Make install -C $OBJDIR/makemap

touch %{buildroot}/rootfile
root=..
while [ ! -r %{buildroot}/%{_bindir}/${root}/rootfile ] ; do
	root=${root}/..
done
ln -sf ${root}%{_sbindir}/makemap %{buildroot}/%{_bindir}/makemap

# Install docs by hand for the sendmail-doc package.
DOC=%{buildroot}%{_docdir}/sendmail
mkdir -p $DOC
cp -ar FAQ LICENSE KNOWNBUGS README RELEASE_NOTES doc $DOC
cp sendmail/README   $DOC/README.sendmail
cp sendmail/SECURITY $DOC/SECURITY
cp smrsh/README      $DOC/README.smrsh
cp libmilter/README  $DOC/README.libmilter
cp cf/README         $DOC/README.cf
cp %{SOURCE9}        $DOC/README.redhat

# Install the cf files for the sendmail-cf package.
cp -ar cf/* %{buildroot}%{sendmailcf}

install -d -m755 %{buildroot}/etc/mail

sed -e 's|@@PATH@@|%{sendmailcf}|' < %{SOURCE6} > %{buildroot}/etc/mail/sendmail.mc

sed -e 's|%{sendmailcf}|\.\.|' < %{buildroot}/etc/mail/sendmail.mc > cf/cf/redhat.mc
%if "%{stdir}" != "/etc/mail"
perl -pi -e 's:/etc/mail/statistics:%{stdir}/statistics:' cf/cf/redhat.mc
%endif
(cd cf/cf && m4 redhat.mc > redhat.cf)
install -m 644 cf/cf/redhat.cf %{buildroot}/etc/mail/sendmail.cf
install -m 644 cf/cf/submit.mc %{buildroot}/etc/mail/submit.mc

echo "# local-host-names - include all aliases for your machine here." \
	> %{buildroot}/etc/mail/local-host-names
( echo "# trusted-users - users that can send mail as others without a warning"
echo "# apache, mailman, majordomo, uucp, are good candidates" ) \
	> %{buildroot}/etc/mail/trusted-users

ln -sf ../sbin/sendmail %{buildroot}/usr/lib/sendmail.sendmail
install -d -m775 %{buildroot}/var/spool/mqueue
install -d -m755 %{buildroot}/var/spool/clientmqueue

# dangling symlinks
root=..
while [ ! -r %{buildroot}/%{_bindir}/${root}/rootfile ] ; do
	root=${root}/..
done
for f in hoststat mailq newaliases purgestat ; do
    ln -sf ${root}%{_sbindir}/sendmail %{buildroot}%{_bindir}/${f}
done
install -d -m755 %{buildroot}/etc/smrsh

cat <<EOF > %{buildroot}/etc/mail/access
# Check the /usr/share/doc/sendmail/README.cf file for a description
# of the format of this file. (search for access_db in that file)
# The /usr/share/doc/sendmail/README.cf is part of the sendmail-doc
# package.
#
# by default we allow relaying from localhost...
localhost.localdomain		RELAY
localhost			RELAY
127.0.0.1			RELAY

EOF
for map in virtusertable access domaintable mailertable ; do
    touch %{buildroot}/etc/mail/${map}
    chmod 0644 %{buildroot}/etc/mail/${map}
    %{buildroot}%{_bindir}/makemap -C %{buildroot}/etc/mail/sendmail.cf hash %{buildroot}/etc/mail/${map}.db < %{buildroot}/etc/mail/${map}
    chmod 0644 %{buildroot}/etc/mail/${map}.db
done
%if "%{old_setup}" == "yes"
install -m644 %{SOURCE3} %{buildroot}/etc/aliases
%{buildroot}/usr/bin/makemap -C %{buildroot}/etc/mail/sendmail.cf hash %{buildroot}/etc/aliases.db < %{SOURCE3}
%else
%{buildroot}/usr/bin/makemap -C %{buildroot}/etc/mail/sendmail.cf hash %{buildroot}/etc/aliases.db < /etc/aliases
%endif

install -m644 %SOURCE4 %{buildroot}/etc/sysconfig/sendmail
install -m755 %SOURCE1 %{buildroot}%{initdir}/sendmail

install -m 644 %{SOURCE5} %{buildroot}/etc/mail/Makefile

chmod u+w %{buildroot}/usr/sbin/{mailstats,praliases}
chmod u+w %{buildroot}/usr/bin/rmail

%if "%{with_sasl1}" == "yes"
install -m755 -d %{buildroot}%{_libdir}/sasl
install -m 644 %{SOURCE7} %{buildroot}%{_libdir}/sasl/Sendmail.conf
%endif
%if "%{with_sasl2}" == "yes"
install -m755 -d %{buildroot}%{_libdir}/sasl2
install -m 644 %{SOURCE11} %{buildroot}%{_libdir}/sasl2/Sendmail.conf
%endif
install -m 644 %{SOURCE8} %{buildroot}/etc/pam.d/smtp.sendmail

install -m 755 -d %{buildroot}%{_libdir}
install -m 644  $OBJDIR/libmilter/libmilter.a %{buildroot}%{_libdir}
install -m 644  $OBJDIR/libsmutil/libsmutil.a %{buildroot}%{_libdir}
install -m 644  $OBJDIR/libsm/libsm.a         %{buildroot}%{_libdir}

# allow stripping of the sendmail app
chmod 755 %{buildroot}%{_sbindir}/sendmail

mv %{buildroot}%{_sbindir}/sendmail %{buildroot}%{_sbindir}/sendmail.sendmail
for i in mailq newaliases rmail; do
	mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/$i.sendmail
done
mv %{buildroot}%{_mandir}/man1/mailq.1 %{buildroot}%{_mandir}/man1/mailq.sendmail.1
mv %{buildroot}%{_mandir}/man1/newaliases.1 %{buildroot}%{_mandir}/man1/newaliases.sendmail.1
mv %{buildroot}%{_mandir}/man5/aliases.5 %{buildroot}%{_mandir}/man5/aliases.sendmail.5
mv %{buildroot}%{_mandir}/man8/sendmail.8 %{buildroot}%{_mandir}/man8/sendmail.sendmail.8

%if "%{stdir}" != "/etc/mail"
perl -pi -e 's:/etc/mail/statistics:%{stdir}/statistics:' %{buildroot}%{_mandir}/man*/*
%endif

%if "%{_libdir}" == "/usr/lib64"
rm -fr %{buildroot}/usr/lib/libmilter.a
%endif

rm -rf %{buildroot}/rootfile

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -u 47 -d /var/spool/mqueue -r -s %{smshell} mailnull >/dev/null 2>&1
/usr/sbin/useradd -u 51 -d /var/spool/mqueue -r -s %{smshell} smmsp >/dev/null 2>&1
exit 0

%postun
if [ "$1" -ge "1" ]; then
	%{initdir}/sendmail condrestart >/dev/null 2>&1
	mta=`readlink /etc/alternatives/mta`
	if [ "$mta" == "%{_sbindir}/sendmail.sendmail" ]; then
		/usr/sbin/alternatives --set mta %{_sbindir}/sendmail.sendmail
	fi
fi
exit 0

%post
#
# Convert old format to new
#
if [ -f /etc/mail/deny ] ; then
    cat /etc/mail/deny | \
	awk 'BEGIN{ print "# Entries from obsoleted /etc/mail/deny"} \
		  {print $1" REJECT"}' >> /etc/mail/access
    cp /etc/mail/deny /etc/mail/deny.rpmorig
fi
for oldfile in relay_allow ip_allow name_allow ; do
    if [ -f /etc/mail/$oldfile ] ; then
	cat /etc/mail/$oldfile | \
		awk "BEGIN { print \"# Entries from obsoleted /etc/mail/$oldfile\" ;} \
	     { print \$1\" RELAY\" }" >> /etc/mail/access
	cp /etc/mail/$oldfile /etc/mail/$oldfile.rpmorig
     fi
done

#
# Remove deprecated config flags which are probably harmless to remove
#
cf=`/bin/mktemp /etc/mail/sendmail.cf.XXXXXX`
if [ "$cf" != "" ] ; then
	sed 's/^O AutoRebuildAliases$/#&/g' /etc/mail/sendmail.cf > ${cf} && \
	cat ${cf} > /etc/mail/sendmail.cf
	rm ${cf}
fi

/sbin/chkconfig --add sendmail
#
# Set up the alternatives files for MTAs.
#
/usr/sbin/alternatives --install %{_sbindir}/sendmail mta %{_sbindir}/sendmail.sendmail 50 \
	--slave %{_bindir}/mailq mta-mailq %{_bindir}/mailq.sendmail \
	--slave %{_bindir}/newaliases mta-newaliases %{_bindir}/newaliases.sendmail \
	--slave %{_bindir}/rmail mta-rmail %{_bindir}/rmail.sendmail \
	--slave /usr/lib/sendmail mta-sendmail /usr/lib/sendmail.sendmail \
        --slave %{_sysconfdir}/pam.d/smtp mta-pam %{_sysconfdir}/pam.d/smtp.sendmail \
	--slave %{_mandir}/man8/sendmail.8.bz2 mta-sendmailman %{_mandir}/man8/sendmail.sendmail.8.bz2 \
	--slave %{_mandir}/man1/mailq.1.bz2 mta-mailqman %{_mandir}/man1/mailq.sendmail.1.bz2 \
	--slave %{_mandir}/man1/newaliases.1.bz2 mta-newaliasesman %{_mandir}/man1/newaliases.sendmail.1.bz2 \
	--slave %{_mandir}/man5/aliases.5.bz2 mta-aliasesman %{_mandir}/man5/aliases.sendmail.5.bz2 \
	--initscript sendmail


#
# Oops, these files moved
#
if [ -f /etc/sendmail.cw ]; then
    cat /etc/sendmail.cw  | \
      awk 'BEGIN { print "# Entries from obsoleted /etc/sendmail.cw" ;} \
           { print $1 }' >> /etc/mail/local-host-names
    cp /etc/sendmail.cw /etc/sendmail.cw.rpmorig
fi
#
# Rebuild maps (next reboot will rebuild also)
#
{
  chown root /etc/aliases.db /etc/mail/access.db /etc/mail/mailertable.db \
    /etc/mail/domaintable.db  /etc/mail/virtusertable.db
  /usr/bin/newaliases
  for map in virtusertable access domaintable mailertable ; do
    if [ -f /etc/mail/${map} ]; then
      /usr/bin/makemap hash /etc/mail/${map} < /etc/mail/${map}
    fi
  done
} > /dev/null 2>&1


%preun
if [ $1 = 0 ]; then
	%{initdir}/sendmail stop >/dev/null 2>&1
	/sbin/chkconfig --del sendmail
	/usr/sbin/alternatives --remove mta %{_sbindir}/sendmail.sendmail
fi
exit 0

%triggerpostun -- sendmail < 8.10.0
/sbin/chkconfig --add sendmail

%triggerpostun -- sendmail < 8.11.6-11
/usr/sbin/alternatives --auto mta

%files
%defattr(-,root,root)
/usr/bin/hoststat
/usr/bin/makemap
/usr/bin/purgestat
/usr/sbin/mailstats
/usr/sbin/makemap
/usr/sbin/praliases
%attr(2755,root,smmsp)/usr/sbin/sendmail.sendmail
/usr/bin/rmail.sendmail
/usr/bin/newaliases.sendmail
/usr/bin/mailq.sendmail
/usr/sbin/smrsh
/usr/lib/sendmail.sendmail

%{_mandir}/man8/rmail.8*
%{_mandir}/man8/praliases.8*
%{_mandir}/man8/mailstats.8*
%{_mandir}/man8/makemap.8*
%{_mandir}/man8/sendmail.sendmail.8*
%{_mandir}/man8/smrsh.8*
%{_mandir}/man5/aliases.sendmail.5*
%{_mandir}/man1/newaliases.sendmail.1*
%{_mandir}/man1/mailq.sendmail.1*

%config(noreplace)		%{stdir}/statistics
%config(noreplace)		/etc/mail/sendmail.cf
%config(noreplace)		/etc/mail/submit.cf
%attr(0644,root,root) %config(noreplace)	/etc/mail/sendmail.mc
%attr(0644,root,root) %config(noreplace)	/etc/mail/submit.mc
%config(noreplace)		/etc/mail/local-host-names
%if "%{old_setup}" == "yes"
%config(noreplace)		/etc/aliases
%endif
%attr(0644,root,root) %ghost	/etc/aliases.db
%attr(0770,smmsp,smmsp) %dir	/var/spool/clientmqueue
%attr(0700,root,mail) %dir	/var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail

%config(noreplace) /etc/mail/Makefile
%attr(0644,root,root) %ghost			/etc/mail/virtusertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/virtusertable

%attr(0644,root,root) %ghost			/etc/mail/access.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/access

%attr(0644,root,root) %ghost			/etc/mail/domaintable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/domaintable

%attr(0644,root,root) %ghost			/etc/mail/mailertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/mailertable

%attr(0644,root,root) %config(noreplace)	/etc/mail/helpfile
%attr(0644,root,root) %config(noreplace)	/etc/mail/trusted-users

%config(noreplace) /etc/sysconfig/sendmail

%config %{initdir}/sendmail

%config %{_libdir}/sasl*/Sendmail*.conf
%config(noreplace) /etc/pam.d/smtp.sendmail

%files cf
%defattr(-,root,root)
%{sendmailcf}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmilter
%{_includedir}/libmilter/*.h
%{_libdir}/libmilter.a
%{_libdir}/libsmutil.a
%{_libdir}/libsm.a

%files doc
%defattr(-,root,root)
%{_docdir}/sendmail

%changelog
* Tue Jul 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (8.13.0-4m)
- specify PreReq by package name instead of path

* Wed Jul 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (8.13.0-3m)
- nigirisugi

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (8.13.0-2m)
- modify spec

* Fri Jul  9 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (8.13.0-1m)
- reimport from Fedora Core development(8.13.0-1.1)
- change alternatives cost 50

* Wed Jan 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.12.11-1m)
- update to 8.2.11
- update Patch4: sendmail-8.12.11-smrsh-paths.patch

* Mon Nov 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (8.12.10-2m)
- rebuild against gdbm-1.8.0-19m

* Thu Sep 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.12.10-1m)
- update to 8.2.10 for a critical security problem
  http://www.sendmail.org/
  http://lwn.net/Articles/49630/
- update Patch4: sendmail-8.12.10-smrsh-paths.patch
- update Patch5: sendmail-8.12.10-movefiles.patch
- update Patch7: sendmail-8.12.10-pid.patch

* Mon Jun 23 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.9-2m)
- rebuild against cyrus-sasl-2.1.13
- enable milter when hesiod_support is 0

* Mon Mar 31 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.9-1m)

* Sat Mar 22 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.8-3m)
- move Name: and Summary: ([Momonga-devel.ja:01504])

* Tue Mar  4 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.8-2m)
- add URL: preamble

* Tue Mar  4 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.8-1m)
- remove Patch8: sendmail-8.12.7-etrn.patch (already applied)
- remove Patch11: sendmail-8.12.7-proto.patch (already applied)

* Sat Feb 22 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.7-2m)
- turn BuildRequires: db4-devel, instead of db3-devel

* Thu Feb  6 2003 HOSONO Hidetomo <h12o@h12o.org>
- (8.12.7-1m)
- import from sendmail-8.12.7-6 for rawhide and momonga-ize
- use specopt
- define _use_alternative macro (but do not use)
- define _use_standard_docdir macro (but do not use)
- remove http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar
  because it seems to be no longer used
- remove sendmail-8.9.3-etc-mail-Makefile instead of
  sendmail-etc-mail-Makefile
- remove sendmail8.11.6+3.4W.patch.gz (WIDE patch for 8.11.6)
- remove other unnecessary patches

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (8.11.6-6k)

* Tue Oct 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (8.11.6-4k)
- add WIDE Patch for 8.11.6

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (8.11.6-2k)
- http://www.securityfocus.com/bid/3163
- WIDE Patch for 8.11.6 is not released yet, so not applied this time.

* Tue May  5 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (8.11.4-2k)
- update to sendmail 8.11.4-2k

* Mon Apr 17 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (8.11.3-4k)
- backport to "Mary"

* Mon Apr 17 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (8.11.3-5k)
- fixed sendmail.init /etc/rc.d/init.d -> /etc/init.d

* Mon Apr  2 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (8.11.3-3k)
- update to sendmail 8.11.3
- update patch sendmail8.11.3+3.4W.patch.gz
- rework patches sendmail-8.11.2-smrsh-paths.patch to sendmail-8.11.3...

* Sun Apr  1 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (8.11.2-3k)
- update to sendmail 8.11.2
- update patch sendmail8.11.0+3.4Wpre to sendmail8.11.2+3.4W.patch.gz
- rework patches sendmail-8.10.0-smrsh-paths.patch to sendmail-8.11.2...
- rework patches sendmail-8.10.0-movefiles.patch to sendmail-8.11.2...

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (8.11.0-9k)
- rebuild againt rpm-3.0.5-39k

* Wed Nov 29 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %{_initscriptdir}.

* Mon Aug 21 2000 Toru Hoshina <t@kondara.org>
- add patch for WIDE p3.4pre.

* Tue Jul 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable the LDAP support until we can remove the sendmail->OpenLDAP->perl dep
- fix prereq

* Tue Jul 25 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to sendmail 8.11.0
- add LDAP support

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul  9 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- require procmail
- add further aliases

* Sat Jul  8 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- prereq init.d
- fix typo

* Tue Jul  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- ignore error from useradd

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- FHS fixes
- /etc/rc.d/init.d -> /etc/init.d
- fix initscript

* Fri Jun 23 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change to /usr/share/man

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- turn off daemon behaviour by default

* Mon Jun 18 2000 Bill Nottingham <notting@redhat.com>
- rebuild, fix dependencies

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- prereq /usr/sbin/useradd

* Fri May 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- enable MAP_REGEX
- enable tcp_wrapper support

* Thu May 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix /etc/mail/aliases -> /etc/aliases in sendmail-redhat.mc

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- update to 8.10.1
- fix build without sendmail installed
- add 'mailnull' user

* Wed Mar 15 2000 Bill Nottingham <notting@redhat.com>
- update to 8.10.0
- remove compatiblity chkconfig links
- add a mailnull user for sendmail to use

* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- break the hard link for makemap and create it as a symlnk (#8223)

* Thu Feb 17 2000 Bernhard Rosenkrzer <bero@redhat.com>
- Fix location of mailertable (Bug #6035)

* Sat Feb  5 2000 Bill Nottingham <notting@redhat.com>
- fixes for non-root builds (#8178)

* Wed Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change perms on /etc/sysconfig/sendmail from 0755 to 0644
- allow compressed man-pages

* Thu Dec 02 1999 Cristian Gafton <gafton@redhat.com>
- add patch to prevent the DoS when rebuilding aliases

* Wed Sep  1 1999 Jeff Johnson <jbj@redhat.com>
- install man pages, not groff output (#3746).
- use dnl not '#' in m4 comment (#3749).
- add FEATURE(mailtertable) to the config -- example file needs this (#4649).
- use db2 not db1.

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- add 127.0.0.1 to /etc/mail/access to avoid IDENT: relay problem (#3178).

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in preun, not postun (#3982)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jul 02 1999 Cristian Gafton <gafton@redhat.com>
- fixed typo bug in comment in the default .mc file (#2812)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- fox the awk scripts in the postinstall
- enable FEATURE(accept_unresolvable_domains) by default to make laptop
  users happy.

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- make the redhat.mc be a separate source files. Sanitize patches that used
  to touch it.
- install redhat.mc as /etc/sendmail.mc so that people can easily modify
  their sendmail.cf configurations.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- fixed virtusertable patch
- make smrsh look into /etc/smrsh

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- remove noreplace attr from sednmail.cf.

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- provide a more sane /etc/mail/access default config file
- use makemap to initializa the empty databases, not touch
- added a small, but helpful /etc/mail/Makefile

* Mon Mar 22 1999 Jeff Johnson <jbj@redhat.com>
- correxct dangling symlinks.
- check for map file existence in %post.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- improved 8.9.3 config from Mike McHenry <mmchen@minn.net>

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.


